package smash.appointment.parse;

import static org.junit.Assert.*;

import java.text.ParseException;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class VisitTest {

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testGetStartDate() {
		Subject subject = new Subject("!", "", "4", "5");
		Visit visit = new Visit(subject);
		AppointmentEntry entry = new AppointmentEntry();
		entry.setSubject(subject);
		entry.setDay("2015-02-01 8:00");
		visit.addAppointment(entry);
		assertEquals("2015-02-01", visit.getStartDate());
	}

	@Test
	public void testGetEndDate() throws ParseException {
		Subject subject = new Subject("!", "", "4", "5");
		Visit visit = new Visit(subject);
		AppointmentEntry entry = new AppointmentEntry();
		entry.setSubject(subject);
		entry.setDay("2015-02-01 8:00");
		visit.addAppointment(entry);
		assertEquals("2015-05-01", visit.getEndDate());
	}

}
